#ifndef __GOBLIN_H__
#define __GOBLIN_H__
#include "characters.h"

const int GAIN_GOLD = 5;

class goblin final: public character {
public:
        goblin(const position_list &available_positions); // spawn at a random place
        virtual result attack(const direction dir,
                              const character_list &chlist) override;
        virtual result get_hit(const enum race &race, const int atk,
                               const float hit_rate) override;        
};

#endif